
/* Add Heartbeat u-advisor for *HUB to drive IPFILTER                 */


  
/* ***************************************************************** */
/* * Add the rule for doing heartbeat processing.                  * */
/* ***************************************************************** */

DELETE FROM O4SRV.SITDB WHERE RULENAME = 
  'IMS_Plex_Heartbeat______________';
  
INSERT INTO O4SRV.SITDB 
  (RULENAME,
   PREDICATE
  )
VALUES
  (
   'IMS_Plex_Heartbeat______________',
   'SELECT IDNAME,IDTYPE,IDSTATUS,ORIGINNODE,SMFID,IMSID,TIMESTAMP,
    SAMPLENO,ROWNO,NODELIST,IMSTYPE,MONSTAT,TRFSTAT,IMSVER,GRPCNT, 
    PLEXNAME,LASTTIME,DSGROUP,SQGROUP FROM KIP.IPFILTER 
    WHERE SYSTEM.PARMA("SITNAME", "IMS_Plex_Heartbeat", 18) AND 
    SYSTEM.PARMA("VERSION", "##", 2) AND IDNAME = "*NOFETCH";'
  );

/* ** RECORD 14 Heartbeat ** */

$PARMS("Heart beat situation: This situation should never be raised");                                                        
INSERT INTO O4SRV.TSITDESC 
  (SITNAME,
   ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   DESTNODE,
   EVENTATTR,
   HUB,
   LOCFLAG,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   NOCOL,
   NOTIFYARGS,
   NOTIFYOPTS,
   OBJECTLOCK,
   PRNAMES,
   QIBCLASSID,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   REFLEXOK,
   SENDMSGQ,
   SITINFO,
   SOURCE,
   TEXT,
   PDT
  ) 
VALUES
  ("IMS_Plex_Heartbeat",                                  /* SITNAME */
   ?,                                                      /* ADVICE */
   "00G0000000000000000000000000000000000000000" ,     /* AFFINITIES */    
   "",                                                  /* ALERTLIST */
   "NNN",                                                 /* AUTOSOP */
   "*SYN",                                              /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "",                                                   /* DESTNODE */
   "",                                                  /* EVENTATTR */
   "",                                                        /* HUB */
   "",                                                    /* LOCFLAG */
   "",                                                   /* LSTCCSID */
   "1050214000000000",                                    /* LSTDATE */
   "V310",                                             /* LSTRELEASE */
   "BUILD",                                             /* LSTUSRPRF */
   "",                                                      /* NOCOL */
   "",                                                 /* NOTIFYARGS */
   "",                                                 /* NOTIFYOPTS */
   "",                                                 /* OBJECTLOCK */
   "",                                                    /* PRNAMES */
   "IMS_",                                             /* QIBCLASSID */
   "I",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000200",                                            /* REEF_TIME */
   "",                                                   /* REFLEXOK */
   "*NONE",                                              /* SENDMSGQ */
   "~",                                                   /* SITINFO */
   "",                                                     /* SOURCE */
   "Heartbeat situation to detect IMS data sharing groups",  /* TEXT */
   "*IF  *VALUE IMSplex_Filter.Group_Or_Subsystem_Name *EQ *NOFETCH"
  ); 

DELETE FROM O4SRV.TOBJACCL WHERE OBJNAME =
  'IMS_Plex_Heartbeat';

INSERT INTO O4SRV.TOBJACCL
  (HUB ,
   LSTDATE ,
   LSTUSRPRF ,
   NODEL ,
   OBJCLASS ,
   OBJNAME
  )
VALUES
  ("Y" ,                                                      /* HUB */
   "1050214000000000" ,                                   /* LSTDATE */
   "BUILD" ,                                            /* LSTUSRPRF */
   "*HUB" ,                                                 /* NODEL */
   "5140" ,                                              /* OBJCLASS */
   "IMS_Plex_Heartbeat"                                   /* OBJNAME */
  );